libzypp: zypp::target::RpmPostTransCollector::Impl Class Reference

libzypp 17.25.10

Public Member Functions | Private Member Functions | Private Attributes | Friends | Related Functions | List of all members
zypp::target::RpmPostTransCollector::Impl Class Reference

RpmPostTransCollector implementation. More...

Inheritance diagram for zypp::target::RpmPostTransCollector::Impl:
[legend]

## Public Member Functions
| Impl (const Pathname &root_r)
| ~Impl ()
bool | collectScriptFromPackage (ManagedFile rpmPackage_r)
| Extract and remember a packages posttrans script for later execution. More...
bool | executeScripts ()
| Execute the remembered scripts. More...
void | discardScripts ()
| Discard all remembered scrips. More...

## Private Member Functions
Pathname | tmpDir ()
| Lazy create tmpdir on demand. More...

## Private Attributes
Pathname | _root
std::list< std::pair< std::string, std::string > > | _scripts
boost::scoped_ptr< filesystem::TmpDir > | _ptrTmpdir

## Friends
std::ostream & | operator<< (std::ostream &str, const Impl &obj)
std::ostream & | dumpOn (std::ostream &str, const Impl &obj)

## Related Functions
(Note that these are not member functions.)
std::ostream & | operator<< (std::ostream &str, const RpmPostTransCollector::Impl &obj)
| Stream output. More...
std::ostream & | dumpOn (std::ostream &str, const RpmPostTransCollector::Impl &obj)
| Verbose stream output. More...

## Detailed Description

RpmPostTransCollector implementation.

Definition at line 43 of file RpmPostTransCollector.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::target::RpmPostTransCollector::Impl::Impl | ( | const Pathname & | root_r | ) |
| inline

Definition at line 48 of file RpmPostTransCollector.cc.

## ◆ ~Impl()

zypp::target::RpmPostTransCollector::Impl::~Impl | ( |  | ) |
| inline

Definition at line 52 of file RpmPostTransCollector.cc.

## Member Function Documentation

## ◆ collectScriptFromPackage()

bool zypp::target::RpmPostTransCollector::Impl::collectScriptFromPackage | ( | ManagedFile | rpmPackage_r | ) |
| inline

Extract and remember a packages posttrans script for later execution.

Definition at line 56 of file RpmPostTransCollector.cc.

## ◆ executeScripts()

bool zypp::target::RpmPostTransCollector::Impl::executeScripts | ( |  | ) |
| inline

Execute the remembered scripts.

Definition at line 85 of file RpmPostTransCollector.cc.

## ◆ discardScripts()

void zypp::target::RpmPostTransCollector::Impl::discardScripts | ( |  | ) |
| inline

Discard all remembered scrips.

Definition at line 180 of file RpmPostTransCollector.cc.

## ◆ tmpDir()

Pathname zypp::target::RpmPostTransCollector::Impl::tmpDir | ( |  | ) |
| inlineprivate

Lazy create tmpdir on demand.

Definition at line 205 of file RpmPostTransCollector.cc.

## Friends And Related Function Documentation

## ◆ operator<< [1/2]

std::ostream& operator<< | ( | std::ostream & | str,
|  | const Impl & | obj
| ) |  |
| friend

## ◆ dumpOn [1/2]

std::ostream& dumpOn | ( | std::ostream & | str,
|  | const Impl & | obj
| ) |  |
| friend

## ◆ operator<<() [2/2]

std::ostream & operator<< | ( | std::ostream & | str,
|  | const RpmPostTransCollector::Impl & | obj
| ) |  |
| related

Stream output.

Definition at line 219 of file RpmPostTransCollector.cc.

## ◆ dumpOn() [2/2]

std::ostream & dumpOn | ( | std::ostream & | str,
|  | const RpmPostTransCollector::Impl & | obj
| ) |  |
| related

Verbose stream output.

Definition at line 223 of file RpmPostTransCollector.cc.

## Member Data Documentation

## ◆ _root

Pathname zypp::target::RpmPostTransCollector::Impl::_root
| private

Definition at line 213 of file RpmPostTransCollector.cc.

## ◆ _scripts

std::list< std::pair< std::string, std::string > > zypp::target::RpmPostTransCollector::Impl::_scripts
| private

Definition at line 214 of file RpmPostTransCollector.cc.

## ◆ _ptrTmpdir

boost::scoped_ptr<filesystem::TmpDir> zypp::target::RpmPostTransCollector::Impl::_ptrTmpdir
| private

Definition at line 215 of file RpmPostTransCollector.cc.

The documentation for this class was generated from the following file:

- zypp/target/RpmPostTransCollector.cc